Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProp3DCollection Class Reference

`#include <vtkProp3DCollection.h>`

Inheritance diagram for vtkProp3DCollection:

[legend]
Collaboration diagram for vtkProp3DCollection:

[legend]
List of all members.

## Detailed Description

a list of 3D props

Date:
  2002/08/28 19:01:17

Revision:
  1.13

vtkProp3DCollection represents and provides methods to manipulate a list of 3D props (i.e., vtkProp3D and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkProp3D vtkCollection

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (86%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkProp3DCollection.h)`
  - .`cxx` (`/Rendering/vtkProp3DCollection.cxx)`

Definition at line 47 of file vtkProp3DCollection.h.

## Public Types
typedef vtkPropCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkProp3D *p)
vtkProp3D * | GetNextProp3D ()
vtkProp3D * | GetLastProp3D ()
## Static Public Methods
vtkProp3DCollection * | New ()
int | IsTypeOf (const char *type)
vtkProp3DCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProp3DCollection ()
| ~vtkProp3DCollection ()

## Member Typedef Documentation

typedef vtkPropCollection vtkProp3DCollection::Superclass

| Reimplemented from vtkPropCollection. Definition at line 51 of file vtkProp3DCollection.h.

## Constructor & Destructor Documentation

vtkProp3DCollection::vtkProp3DCollection | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkProp3DCollection.h.

vtkProp3DCollection::~vtkProp3DCollection | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkProp3DCollection.h.

## Member Function Documentation

vtkProp3DCollection* vtkProp3DCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkPropCollection.

virtual const char* vtkProp3DCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPropCollection.

int vtkProp3DCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

virtual int vtkProp3DCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

vtkProp3DCollection* vtkProp3DCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPropCollection.

virtual void vtkProp3DCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkProp3DCollection::AddItem | ( | vtkProp3D * | p | ) | `[inline]`

| Add an actor to the list. Definition at line 78 of file vtkProp3DCollection.h. References vtkCollection::AddItem().

vtkProp3D * vtkProp3DCollection::GetNextProp3D | ( |  | ) | `[inline]`

| Get the next actor in the list. Definition at line 83 of file vtkProp3DCollection.h. References vtkCollection::GetNextItemAsObject().

vtkProp3D * vtkProp3DCollection::GetLastProp3D | ( |  | ) | `[inline]`

| Get the last actor in the list. Definition at line 88 of file vtkProp3DCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item.

The documentation for this class was generated from the following file:

- Rendering/vtkProp3DCollection.h